Library Version 12.1.6.2

front
Prev | Chapter 4. Db_vector | Next

## front

### Function Details

    reference front()

Return a reference to the first element.

#### Return Value

Return a reference to the first element.

#### See Also

http://www.cplusplus.com/reference/vector/vector/front/

    const_reference front() const

Return a const reference to the first element.

The return value can't be used to update the element.

#### Return Value

Return a const reference to the first element.

#### See Also

http://www.cplusplus.com/reference/vector/vector/front/

### Group: Element access functions.

The operator[] and at() only come from std::vector and std::deque, If you are using db_vector as std::list, you don't have to set DB_RENUMBER flag to the backing database handle, and you get better performance, but at the same time you can't use these functions.

Otherwise if you have set the DB_RENUMBER flag to the backing database handle, you can use this function though it is an std::list equivalent.

### Class

db_vector

Prev | Up | Next
at | Home | back